Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "Dispute categories retrieved successfully",
"data": [
{
"report_reference": "DISP1234567890",
"report_status": "LOGGED",
"first_response_sla": "24 hours",
"resolution_sla": "7 days",
"follow_up_email": "support@example.com",
"follow_up_phone": "+2348012345678",
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string"
}
]
}
]
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Disputes
Get Status of a Dispute
Get status of a dispute
GET
/
disputes
/
{report_reference}
Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "Dispute categories retrieved successfully",
"data": [
{
"report_reference": "DISP1234567890",
"report_status": "LOGGED",
"first_response_sla": "24 hours",
"resolution_sla": "7 days",
"follow_up_email": "support@example.com",
"follow_up_phone": "+2348012345678",
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string"
}
]
}
]
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Connection ID for the target bank
Unique key to ensure idempotency of the request
SHA-256 signature of client_secret + ";" + idempotency-key
Path Parameters
The reference for the dispute